{
    "class": "Workflow",
    "label": "EMG pipeline's QIIME workflow",
    "doc": "Step 1: Set environment\nPYTHONPATH, QIIME_ROOT, PATH\n\nStep 2: Run QIIME script pick_closed_reference_otus.py\n${python} ${qiimeDir}/bin/pick_closed_reference_otus.py -i $1 -o $2 -r ${qiimeDir}/gg_13_8_otus/rep_set/97_otus.fasta -t ${qiimeDir}/gg_13_8_otus/taxonomy/97_otu_taxonomy.txt -p ${qiimeDir}/cr_otus_parameters.txt\n\nStep 3: Convert new biom format to old biom format (json)\n${qiimeDir}/bin/biom convert -i ${resultDir}/cr_otus/otu_table.biom -o ${resultDir}/cr_otus/${infileBase}_otu_table_json.biom --table-type=\"OTU table\" --to-json\n\nStep 4: Convert new biom format to a classic OTU table.\n${qiimeDir}/bin/biom convert -i ${resultDir}/cr_otus/otu_table.biom -o ${resultDir}/cr_otus/${infileBase}_otu_table.txt --to-tsv --header-key taxonomy --table-type \"OTU table\"\n\nStep 5: Create otu summary\n${qiimeDir}/bin/biom summarize-table -i ${resultDir}/cr_otus/otu_table.biom -o ${resultDir}/cr_otus/${infileBase}_otu_table_summary.txt\n\nStep 6: Move one of the result files\nmv ${resultDir}/cr_otus/otu_table.biom ${resultDir}/cr_otus/${infileBase}_otu_table_hdf5.biom\n\nStep 7: Create a list of observations\nawk '{print $1}' ${resultDir}/cr_otus/${infileBase}_otu_table.txt | sed '/#/d' > ${resultDir}/cr_otus/${infileBase}_otu_observations.txt\n\nStep 8: Create a phylogenetic tree by pruning GreenGenes and keeping observed otus\n${python} ${qiimeDir}/bin/filter_tree.py -i ${qiimeDir}/gg_13_8_otus/trees/97_otus.tree -t ${resultDir}/cr_otus/${infileBase}_otu_observations.txt -o ${resultDir}/cr_otus/${infileBase}_pruned.tree\n",
    "inputs": [],
    "steps": [],
    "id": "#main",
    "outputs": [],
    "cwlVersion": "v1.0"
}
